html {
    height: 100%;
}

body {
    margin: 0;
    background-color: #F2F7FF;
    color: #FDBE34;
    overflow-x: clip;
    font-family: 'Roboto';
}

/* Menu */

header {
    width: 100vw;
    height: auto;
    background-color: #0B409C;
    color:#F2F7FF;
    margin: 0;
    border-bottom: solid 2px #FDBE34;
    display: flex;
    grid-template-columns: auto;
}

header img {
    width: 6vw;
    height: auto;
    padding: 5px 0px 5px 20px;
}

nav {
    width: 90vw;
    height: 100%;
    overflow: hidden;
    font-size: 1.2rem;
    justify-content: center;
    text-align: center;
    margin: auto;
}

.link {
    padding: 0px 16px;
    height: max-content;
    color: #F2F7FF;
}

#icon img {
    width: 5vw;
    position: absolute;
    right: 10px;
    top: 10px;
}


nav a {
    float:inline-start;
    display: block;
    color: #F2F7FF;
    text-align: center;
    text-decoration: none;
    font-size: 1.2rem;
}

nav a:hover {
    color: #FDBE34;
    text-decoration: underline;
}

nav a:active, a:visited {
    color: #F2F7FF;
}

.nav .icon {
    display: none;
  }

h1 {
    margin: 0;
}

/* Homepage */

.heroIMG {
    width: 100vw;
    height: 20vw;
    background-position: bottom;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
    background-attachment: fixed;
    border-bottom: solid 2px #FDBE34
}

.heroIMG-homepage {
    background-image: url(./img/heroIMG.jpg);
}

section {
    margin: 0 12vw 0 12vw;
}

.section-title, .gallery-section-title {
    text-align: center;
    color: #FDBE34;
    margin: 0;
    padding: 1vw 0 1vw 0;
}

.container { 
    width: 100%;
    box-shadow: 0 8px 10px 0 rgba(0, 0, 0, 0.3), 0 6px 20px 0 rgba(0, 0, 0, 0.5);
    padding: 0vw auto;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    grid-auto-flow: row;
    grid-template-areas:
      "section1 section2"
      "section3 section4"
      "section5 section6"
      "section7 section8"
      "section9 section10"
      "section11 section12"
      "section13 section14";
  }
  
  .section1 { grid-area: section1; }
  
  .section2 { grid-area: section2; }
  
  .section3 { grid-area: section3; }
  
  .section4 { grid-area: section4; }
  
  .section5 { grid-area: section5; }
  
  .section6 { grid-area: section6; }

  .section7 { grid-area: section7; }

  .section8 { grid-area: section8; }

  .section9 { grid-area: section9; }

  .section10 { grid-area: section10; }

  .section11 { grid-area: section11; }
  
  .section12 { grid-area: section12; }


.section-container {
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

}

.sectionName {
    color: #FDBE34;
}

.section1 img, .section4 img, .section5 img, .section8 img, .section9 img, .section12 img, .section13 img {
    width: 105%;
    height: 110%;
    transition: all 2s ease-in-out;
    object-fit: cover;
}

.section1 img:hover, .section5 img:hover, .section9 img:hover, .section12 img:hover, .section13 img:hover {
    transform: scale(1.2)
}

.section4 img:hover, .section8 img:hover {
    transform: scale(1.2)
}

.section2, .section6, .section10, .section14 {
    background-color: #0B409C;
    color:#fafafa;
}

.section3, .section7, .section11 {
    background-color: #EEEDED;
    color:#0B409C;
}

.section1, .section2, .section3, .section4, .section5, .section6, .section7, .section8, .section9, .section10, .section11, .section12, .section13, .section14 {
    overflow: hidden;
    height: 20vw;
    width: 100%;
    text-align: center;
    text-justify: center;
}
.section1 p, .section2 p, .section3 p, .section4 p, .section5 p, .section6 p, .section7 p, .section8 p, .section9 p, .section10 p, .section11 p, .section12 p, .section13 p, .section14 p {
    padding-left: 2vw;
    padding-right: 2vw;
}

#mobile-img-right {
    background-position: right;
}

/* Wydarzenia */

.heroIMG-events {
    background-image: url(./img/heroIMG-events.JPG);
}

/* Prices */

.heroIMG-price {
    background-image: url(./img/heroIMG-price.jpg);
}

.section-prices {
    width: 76vw;
    margin: 0 12vw 0 12vw;
    box-shadow: 0 8px 10px 0 rgba(0, 0, 0, 0.3), 0 6px 20px 0 rgba(0, 0, 0, 0.5);
    background-color: #0B409C;
}


.prices, .prices-name {
    font-size: 1.5vw;
    color: #FDBE34
}

.prices-container {
    padding: 2vw 0;
}

.prices {
    text-align: right;
}

table {
    width: 60vw;
    margin: auto;
}

tr {
    width: 70vw;
    border: 5px solid #FDBE34;
}

td {
    width: 35vw;
}

hr {
    width: 60vw;
    border: 1px solid #FDBE34;
    margin-bottom: 2vw;
}


/* Camps */

.heroIMG-camps {
    background-image: url(./img/heroIMG-camps.jpg);
}

.section-camps {
    padding-bottom: 3vw;
    background-color: #0B409C;
    box-shadow: 0 8px 10px 0 rgba(0, 0, 0, 0.3), 0 6px 20px 0 rgba(0, 0, 0, 0.5);
}

.camps-description{
    width: 50%;
    padding-left: 25%;
    padding-right: 25%;
    margin: 0;
    text-align: center;
}

.container-card {
    display: flex;
    justify-content: center;
    flex-direction: row;
    width: auto;
    padding-left: 15vw;
    padding-right: 15vw;
    padding-top: 1vw;
    margin: 0;
}

.camps-card-unactive {
    box-shadow: 0 8px 12px 0 rgba(0,0,0,0.2);
    transition: 0.3s;
    width: 70%;
    margin: 10px auto;
    padding: 10px 10px 10px 0px;
    background-color: rgb(146, 146, 146);
    background-image: url(./img/bg-card.png);
    background-position: center;
    background-size: cover;
    color: #272727
  }

.camps-card-active {
    box-shadow: 0 8px 12px 0 rgba(0,0,0,0.7);
    transition: 0.3s;
    width: 70%;
    margin: 20px auto;
    padding: 10px 10px 10px 0px;
    background-color: rgba(182, 182, 182, 0.062);
    background-image: url(./img/bg-card.png);
    background-position: center;
    background-size: cover;
  }
  
  .camps-card-active h4, .camps-card-unactive h4{
    padding: 5px 15px;
    font-size: 2vw;
  }

  .camps-card-active li{
    list-style-type: none;
  }

.camps-card-active:hover {
    box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
    background-color: rgba(57, 91, 245, 0.8);
    transform: scale(1.04)
  }

.ribbon-container {
    width: 50%;
    background-color: #FDBE34;
    padding: 5px;
    text-align: center;
    font-weight: 800;
    font-size: 1.5vw;
}

.unactive-ribbon-container {
    width: 50%;
    background-color: #272727;
    padding: 5px;
    text-align: center;
    font-weight: 800;
    font-size: 1.5vw;
}

.unactive-ribbon {
    color: #c7c7c7;
    margin: 0;
    padding: 5px;
    width: 100%;
}

.ribbon {
    color: #0B409C;
    margin: 0;
    padding: 5px;
    width: 100%;
}

.camps-card-container {
    font-size: 1.5vw;
}

.camps-card-container li{
    padding-bottom: 5px;
    list-style-type: none;
}

.camps-container { 
    padding-top: 3vw; 
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 1fr 1fr 1fr 1fr;
    gap: 0px 0px;
    grid-auto-flow: row;
    grid-template-areas:
      "camps-description1 camps-description1 camps-description1"
      "camps-description2 camps-description3 camps-description4"
      "camps-description8 camps-description8 camps-description8"
      "camps-description9 camps-description9 camps-description9";
  }
  
.camps-description1 { 
    grid-area: camps-description1;
    padding-left: 4vw;
    padding-right: 4vw;
}

.camps-description2 { 
    grid-area: camps-description2; 
    background-color: #F2F7FF;   
    padding: 0 1vw 0 1vw;
    color: #0B409C;
}
  
.camps-description3 { 
    grid-area: camps-description3; 
    background-color: #0B409C;   
    padding: 0 1vw 0 1vw;  
}
  
.camps-description4 { 
    background-color: #F2F7FF;   
    padding: 0 1vw 0 1vw;
    color: #0B409C;  
}
  
.camps-description8 { 
    grid-area: camps-description8; 
    align-self: center;
    padding: 0 4vw 0 4vw;
}

.camps-description9 { 
    padding-left: 4vw;
    padding-right: 4vw;
    margin-bottom:2vw;
    background-color: #F2F7FF;
    color: #0B409C;
    grid-area: camps-description9; 
}

.camps-description9 h3 {
    color: #0B409C;
}

.camps-description1 span, .camps-description2 span, .camps-description3 span, .camps-description4 span, .camps-description8 span, .camps-description9 span {
    padding-top: 1vw;
    padding-bottom: 0;
    margin-bottom: 0;
}

h3 {
    color: #FDBE34;
    text-align: center;
}

.camps-container p {
    text-align: center;
}

.important, .important-blue {
    font-weight: 800;
}

.important {
    color: #FDBE34;
}

.important-blue {
    color: #0B409C;
}

.unactive-important {
    color: #272727;
    font-weight: 800;
}

.military-camp-link {
    text-decoration: none;
}

.military-button {
    text-align: center;
    justify-content: center;
    align-content: center;
    display: flex;
    background-color: #FDBE34;
    border: solid 2px #FDBE34;
    border-radius: 15px;
    padding: 10px;
}

.military-button:hover {
    transition: 1s;
    transform: scale(1.1);
}

.military-button p {
    padding-left: 0.5vw;
    color: #0B409C;
    font-family: 'Roboto';
    font-size: 17px;
    font-weight: 700;
}

.military-button img {
    width: auto;
    height: 3vw;
}

/* Winter camps*/

.wintercamps-card-active {
    box-shadow: 0 8px 12px 0 rgba(0,0,0,0.7);
    transition: 0.3s;
    width: 70%;
    margin: 20px auto;
    padding: 10px 10px 10px 0px;
    background-color: rgba(182, 182, 182, 0.062);
    background-image: url(./img/bg-wintercard.png);
    background-position: center;
    background-size: cover;
  }

  .wintercamps-card-active h4, .camps-card-unactive h4{
    padding: 5px 15px;
    font-size: 2vw;
  }

  .wintercamps-card-active li{
    list-style-type: none;
  }

.wintercamps-card-active:hover {
    box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
    background-color: rgba(57, 91, 245, 0.8);
    transform: scale(1.04)
  }

/* Events */

.event-card-active {
    box-shadow: 0 8px 12px 0 rgba(0,0,0,0.7);
    transition: 0.3s;
    width: 70%;
    margin: 20px auto;
    padding: 10px 10px 10px 0px;
    background-color: rgba(182, 182, 182, 0.062);
    background-image: url(./img/bg-eventcard.png);
    background-position: center;
    background-size: cover;
  }

  .event-card-active h4, .event-card-unactive h4{
    padding: 5px 15px;
    font-size: 2vw;
  }

  .event-card-active li{
    list-style-type: none;
  }

.event-card-active:hover {
    box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
    background-color: rgba(57, 91, 245, 0.8);
    transform: scale(1.04)
  }

.event-card-unactive {
    box-shadow: 0 8px 12px 0 rgba(0,0,0,0.2);
    transition: 0.3s;
    width: 70%;
    margin: 10px auto;
    padding: 10px 10px 10px 0px;
    background-color: rgb(146, 146, 146);
    background-image: url(./img/bg-eventcard.png);
    background-position: center;
    background-size: cover;
    color: #272727
  }

/* Gallery */

.heroIMG-gallery {
    background-image: url(./img/heroIMG-gallery.jpg);
}

.heroIMG-gallery video {
    width:100%;
    height:100%;
    position:absolute;
    top:0;
    left:0;
    z-index:5;
    object-fit:cover;
}

video {
    width: 30vw;
    height: auto;
    
}

.gallery-section-title {
    background-color: #0B409C;
}

.gallery-container, .gallery-container-r {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    width: 100%;
    margin-bottom: vw;
}

#section-gallery {
    box-shadow: 0 8px 10px 0 rgba(0, 0, 0, 0.3), 0 6px 20px 0 rgba(0, 0, 0, 0.5);

}

.gallery-item {
    width: 35vw;
    height: auto;
    border: solid 1px #FDBE34
}

.gallery-item:hover {
    transform: scale(1.1);
    overflow: hidden;
    transition: transform .5s ease;
}

/* Contact */

.heroIMG-contact {
    background-image: url(./img/heroIMG-contact.jpg);
}

.material-symbols-outlined {
    color: #FDBE34;
    font-variation-settings:
        'FILL' 0,
        'wght' 400,
        'GRAD' 0,
        'opsz' 48;
}

.material-blue {
    color: #0B409C;
    
}

.section-contact {
    padding-bottom: 2vw;
    box-shadow: 0 8px 10px 0 rgba(0, 0, 0, 0.3), 0 6px 20px 0 rgba(0, 0, 0, 0.5)
}

.container-contact-main {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}

.container-contact {
    margin: auto;
    width: 38vw;
    height: auto;
    align-items: center;
}

.container-contact img {
    width: 20vw;
    height: auto;
    margin: auto;
    vertical-align: middle;
    text-align: center;
    display: table-cell;
}

.container-contact-sub {
    align-content: center;
    width: auto;
    margin-left: auto;
    margin-right: auto;
}

#section-title-contact-sub {
    background-color: #0B409C;
}

.container-contact-sub {
    display: flex;
    font-size: 1.2rem;
}

.container-contact-sub span {
    align-items: center;
}

.container-contact-sub a, a:hover, a:active, a:visited{
    text-decoration: none;
    color: #F2F7FF;
}

.container-contact-sub p {
    padding-left: 10px;
    color: #0B409C;
}

.map {
    width: 99.9%;
    padding: 1vw 0 1vw 0;
    margin: 0;

}

/* LOK */

.heroIMG-lok {
    background-image: url(./img/heroIMG-lok.jpg);
}

.container-lok {  
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr 1fr 1fr;
    gap: 0px 0px;
    grid-auto-flow: row;
    width: 100%;
    margin: 0;
    box-shadow: 0 8px 10px 0 rgba(0, 0, 0, 0.3), 0 6px 20px 0 rgba(0, 0, 0, 0.5);
    background-color: #0B409C;
  }

  .container-lok img {
    width: 100%;
    height: 100%;
    background-repeat: no-repeat;
    background-size: cover;
  }
  
  .lok1 { grid-area: 1 / 1 / 2 / 2; }
  
  .lok2 { grid-area: 1 / 2 / 2 / 3; }

  .lok3 { grid-area: 2 / 1 / 3 / 2; }
  
  .lok4 { grid-area: 2 / 2 / 3 / 3; }
  
  .lok5 { grid-area: 3 / 1 / 4 / 2; }
  
  .lok6 { grid-area: 3 / 2 / 4 / 3; }
  
  .lok7 { grid-area: 4 / 1 / 5 / 2; }
  
  .lok8 { grid-area: 4 / 2 / 5 / 3; }
  
.lok2, .lok3, .lok6, .lok7 {
    text-align: center;
    align-self: center;
    padding: 5vw 2vw 5vw 2vw;
    font-size: 100%;
    font-weight: 500;
} 

.lok8 img {
    object-fit: cover;
}

.container-lok a, .container-lok a:hover, .container-lok a:active, .container-lok a:visited {
    color: #FDBE34
}

/* Footer */

footer {
    border-top: solid 2px #FDBE34;
    font-size: 15px;
    width: 100vw;
    color: #0B409C;;
    background-color: #F2F7FF;
    text-align: center;
    padding-bottom: 0.5vw;
}

footer a {
    text-decoration: none;
    color: #0B409C;
}

footer a:hover {
    text-decoration: underline;
    color: #FDBE34;
}

.files {
    padding-top: 1vw;
}

@media (max-width: 1280px) {

    nav a {
        font-size: 1rem;
    }

    .section1, .section2, .section3, .section4, .section5, .section6, .section7, .section8, .section9, .section10, .section11, .section12, .section13, .section14 {
        overflow: hidden;
        height: 100%;
    }

    .lok2, .lok3, .lok6, .lok7 {
        padding: 3vw 1vw 3vw 1vw;
        font-size: 50%;
    } 

    .camps-card li {
        font-size: 15px;
    }
    
    .camps-card-container {
        padding: 0;
    }
}

@media (max-width: 1024px) {

    #logo {
        width: 10vw;
        height: auto;
    }

    .nav a {
        display: none;
        font-size: 1.5rem;
    }

    .nav a.icon {
    float: right;
    display: block;
  }

    .nav.responsive {
        position: relative;
    }

    .nav.responsive .icon {
    position: absolute;
    right: 0;
    top: 0;
  }

  .nav.responsive a {
    float: none;
    display: block;
    text-align: left;
  }

  .nav.responsive a:hover {
    color: #FDBE34;
    text-decoration: underline;
  }

    .section1, .section2, .section3, .section4, .section5, .section6, .section7, .section8, .section9, .section10, .section11, .section12, .section13, .section14 {
        overflow: hidden;

    }

    .lok2, .lok3, .lok6, .lok7 {
        padding: 3vw 1vw 3vw 1vw;
        font-size: 50%;
    } 

    .camps-card li {
        font-size: 15px;
    }
    
    .camps-card-container {
        padding: 0;
    }
}

@media (max-width: 786px) {


    .section1, .section2, .section3, .section4, .section5, .section6, .section7, .section8, .section9, .section10, .section11, .section12, .section13, .section14 {
        overflow: hidden;
    }

    section {
        margin: 0px !important;
    }
    
    .container {
        width: 100vw;
        padding: 0;
        margin: 0px !important;
    }

    .container p {
        font-size: 10px;
    }

    .container h2 {
        font-size: 12px;
    }

    .section-prices {
        margin: 0 !important;
        width: 100vw;
    }

    .container-contact {
        width: 38vw;
        padding: 1vw;
    }

    .container-contact a {
        width: 100%;
    }

    .container-contact p {
        width: 100%;
    }

    .contact-hide {
        display: none;
    }

    .camps-card li {
        font-size: 10px;
    }
    
    .camps-card-container {
        padding: 0;
    }


    .section-prices ul {
        padding-left: 30vw;
        padding-right: 30vw;
        width: 40vw;
    }

    .section-prices li {
        padding-left: 2vw;
        padding-right: 2vw;
        font-size: 18px;
    }

    .camps-card li {
        font-size: 15px;
    }
    
    .camps-card-container {
        padding: 0;
    }

    .gallery-container {
        width: 100%;
        margin: 0;
        padding: 1vw 0 3vw 0;
    }

    .gallery-item {
        width: 70%;
    }

    .gallery-item-horses {
        width: 15vw;
        height: 15vw;
    }

}

@media (max-width: 425px) {

    body {
        width: 100vw;
    }

    nav a {
        font-size: 1.5rem;
    }

    .section1, .section2, .section3, .section4, .section5, .section6, .section7, .section8, .section9, .section10, .section11, .section12, .section13, .section14 {
        overflow: hidden;
    }

    .container img {
        width: 100%;
        height: 100%;
    }

    h2,.container p, nav {
        font-size: 0.6rem;
    }

    footer {
        font-size: 8px;
    }


    .section-prices li {
        padding-left: 2vw;
        padding-right: 2vw;
        font-size: 10px;
    }

    .section-prices span {
        font-size: 8px;
    }

    .section-camps {
        margin: 0;
    }

    .camps-description {
        font-size: 10px;
        width: 100vw;
        padding-left: 0;
        padding-right: 0;
        padding-bottom: 3vw;
    }

    .camps-card h3 {
        font-size: 15px;
    }

    .camps-card h4 {
        font-size: 12px;
    }

    .camps-card li {
        font-size: 10px;
    }
    
    .camps-card-container {
        padding: 0;
    }

    .camps-container {
        font-size: 10px;
    }

    .camps-container h3 {
        font-size: 10px;
    }

    .section-contact {
        margin: 0;
    }

    .container-contact {
        padding-left: 0;
        padding-right: 0;
    }

    .container-contact a {
        width: 70vw;
    }

    .container-contact p {
        width: 100%;
    }

    .lok2, .lok3, .lok6, .lok7 {
        padding: 3vw 1vw 3vw 1vw;
        font-size: 5px;
    } 
}

@media (max-width: 312px) { 

    .section1, .section4, .section5, .section8, .section9, .section12, .section13 {
        width: auto;
    }

    .section1 p, .section2 p, .section3 p, .section4 p, .section5 p, .section6 p, .section7 p, .section8 p, .section9 p, .section10 p, .section11 p, .section12 p, .section13 p, .section14 p {
        font-size: 0.4rem;
    }
}